Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IFunctionalCompanion

All Known Implementing Classes:
  FunctionalCompanion

Deprecated. this class is no longer necessary

public interface IFunctionalCompanion

Implemented by functional companion objects attached to components in order to provide programatic functionality to a configuration model.

Field Summary
`static int` | `FC_AFTER_SAVE` Deprecated.
`static int` | `FC_ON_AUTO_CONFIGURE` Deprecated.
`static int` | `FC_ON_GENERATE_OUTPUT` Deprecated.
`static int` | `FC_ON_LOAD` Deprecated.
`static int` | `FC_ON_NEW` Deprecated. Functional Companion event types
`static int` | `FC_ON_RESTORE` Deprecated.
`static int` | `FC_ON_SAVE` Deprecated.
`static int` | `FC_ON_SUMMARY` Deprecated.
`static int` | `FC_ON_VALIDATE` Deprecated.
`static int` | `FC_POST_LOAD` Deprecated.
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Method Summary
`void` | `autoConfigure()` Deprecated. Performs a programmatic configuration step.
`java.lang.String` | `generateOutput()` Deprecated. Generates output for this component.
`void` | `generateOutput(javax.servlet.http.HttpServletResponse response)` Deprecated. Generates output for this component.
`java.lang.String` | `getDescription()` Deprecated. Returns the description of the functional companion.
`int` | `getID()` Deprecated. Returns the database ID of the functional companion.
`java.lang.String` | `getName()` Deprecated. Returns the name of the functional companion.
`oracle.apps.cz.cio.IRuntimeNode` | `getRuntimeNode()` Deprecated. Returns the runtime node to which this component is attached.
`void` | `initialize(oracle.apps.cz.cio.IRuntimeNode node, java.lang.String name, java.lang.String description, int id)` Deprecated. Saves information about the model and performs any actions needed to initialize the companion.
`void` | `terminate()` Deprecated. Performs any cleanup on this companion that needs to occur before the companion is destroyed.
`com.sun.java.util.collections.List` | `validate()` Deprecated. Programatically checks that a configuration is valid and returns a list of ValidationFailure objects if there are failures, and null otherwise.
`boolean` | `validateEligibleTarget(oracle.apps.cz.cio.Component target)` Deprecated. validates a Component as a potential target of a connection

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

### FC_ON_NEW

    public static final int FC_ON_NEW

  Deprecated.
  Functional Companion event types

### FC_ON_RESTORE

    public static final int FC_ON_RESTORE

  Deprecated.

### FC_ON_SAVE

    public static final int FC_ON_SAVE

  Deprecated.

### FC_ON_AUTO_CONFIGURE

    public static final int FC_ON_AUTO_CONFIGURE

  Deprecated.

### FC_ON_VALIDATE

    public static final int FC_ON_VALIDATE

  Deprecated.

### FC_ON_GENERATE_OUTPUT

    public static final int FC_ON_GENERATE_OUTPUT

  Deprecated.

### FC_AFTER_SAVE

    public static final int FC_AFTER_SAVE

  Deprecated.

### FC_ON_LOAD

    public static final int FC_ON_LOAD

  Deprecated.

### FC_ON_SUMMARY

    public static final int FC_ON_SUMMARY

  Deprecated.

### FC_POST_LOAD

    public static final int FC_POST_LOAD

  Deprecated.

Method Detail

### initialize

    public void initialize(oracle.apps.cz.cio.IRuntimeNode node,
                           java.lang.String name,
                           java.lang.String description,
                           int id)

  Deprecated.
  Saves information about the model and performs any actions needed to initialize the companion. Should never attempt to modify the model.

### autoConfigure

    public void autoConfigure()
                       throws LogicalException

  Deprecated.
  Performs a programmatic configuration step. Any modifications to the model should be performed here.
    `LogicalException`

### validate

    public com.sun.java.util.collections.List validate()

  Deprecated.
  Programatically checks that a configuration is valid and returns a list of ValidationFailure objects if there are failures, and null otherwise. Should never attempt to modify the model.

### generateOutput

    public java.lang.String generateOutput()

  Deprecated.
  Generates output for this component. This version is called in a thick client context where the user's machine can be addressed directly. Can modify the model, but this is not recommended practice.

### generateOutput

    public void generateOutput(javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException

  Deprecated.
  Generates output for this component. This version is called in a thin client context where the user's browser is addressed indirectly by writing to the HttpServletResponse object. Can modify the model, but this is not recommended practice.
    `java.io.IOException`

### validateEligibleTarget

    public boolean validateEligibleTarget(oracle.apps.cz.cio.Component target)

  Deprecated.
  validates a Component as a potential target of a connection

### terminate

    public void terminate()

  Deprecated.
  Performs any cleanup on this companion that needs to occur before the companion is destroyed.

### getRuntimeNode

    public oracle.apps.cz.cio.IRuntimeNode getRuntimeNode()

  Deprecated.
  Returns the runtime node to which this component is attached.

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name of the functional companion.

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Returns the description of the functional companion.

### getID

    public int getID()

  Deprecated.
  Returns the database ID of the functional companion.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.